Репозиторий Sisyphus
Последнее обновление: 30 июня 2022 | Пакетов: 17500 | Посещений: 24467461
en ru br
Репозитории ALT
S:2.24.4-alt12
5.1: 2.24.4-alt0.M50P.1
4.1: 2.22.0-alt1.1
4.0: 2.16.3-alt3
3.0: 1.0.5-alt7.1
www.altlinux.org/Changes

Группа :: Система/Библиотеки
Пакет: gnome-vfs

 Главная   Изменения   Спек   Патчи   Sources   Загрузить   Gear   Bugs and FR  Repocop 

Патч: gnome-vfs-2.24.1-gnutls.patch
Скачать


diff -ur gnome-vfs-2.24.1/configure.in gnome-vfs-2.24.1.new/configure.in
--- gnome-vfs-2.24.1/configure.in	2009-03-17 16:48:24 +0300
+++ gnome-vfs-2.24.1.new/configure.in	2009-07-13 16:41:39 +0400
@@ -668,14 +668,14 @@
     AC_MSG_ERROR([*** Can't use both openssl and gnutls at the same time. Please pick one only. ***])
   else
     AC_CHECK_HEADER(gcrypt.h,, AC_MSG_ERROR([*** Need gcrypt.h to compile with GnuTLS support ***]))
-    AM_PATH_LIBGNUTLS(1.0.0, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
-			      have_ssl=true])
+    PKG_CHECK_MODULES(LIBGNUTLS, gnutls >= 1.0.0, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
+				have_ssl=true])
 
     if test "x${LIBGNUTLS_LIBS}" = "x"; then
-      AM_PATH_LIBGNUTLS(0.5.1, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
-                                 AC_DEFINE(GNUTLS_COMPAT, 1, [FIXME])
-				 have_ssl=true],
-                                 AC_MSG_ERROR([Unable to find GNUTLS]))
+    PKG_CHECK_MODULES(LIBGNUTLS, gnutls >= 0.5.1, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
+				AC_DEFINE(GNUTLS_COMPAT, 1, [FIXME])
+				have_ssl=true],
+				AC_MSG_ERROR([Unable to find GNUTLS]))
     fi
   fi
 fi
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin